------------------------------------------------------------------------------------
--Name：            210701[简体征服][活动脚本]全球七夕花魁赛活动
--Creator:      蔡颖静
--Created:     2021-07-01
------------------------------------------------------------------------------------

--/callluafunc </F>User_PlayPlot</N>203


-- 设置摄像机指向位置(网格坐标)
CppScriptMgr:SetViewPosByCell(112,232)
------------------------------------------------------------

CppScriptMgr:SetLightScreen(2000);

local NiuLang  = CppScriptMgr:AddSimplePlayer(1061732, 126,234, "Cowherd", 4003000550,1)
local effectObj0 = CppScriptMgr:AddEffect("100wp_wqbhwl",126,234);
NiuLang:SetDir(2)

local hero = CppScriptMgr:QueryHero();
hero:SetLook(hero:GetLook(), false, true) ;
hero:SetZoomPercent(100)
hero:SetPos(122,238)
hero:SetDir(3)


CppScriptMgr:WaitMilSec(1000)



local effectObj1 = CppScriptMgr:AddEffect("gssswq_xunhuan4",111,232);
local effectObj2 = CppScriptMgr:AddEffect("gssswq_xunhuan2",111,232);
local effectObj3 = CppScriptMgr:AddEffect("Digong_BG",111,232);


CppScriptMgr:WaitMilSec(2000)
CppScriptMgr:NpcCallOut("A year has passed. I can finally meet my girl!\n\n\n\n                                     Press ESC to skip the story.", 3000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc26069", 150, 430, "Cowherd", 250, 655);
-- NiuLang:Say("又到了相聚的日子，这一年的思念终于可以对她倾诉了！", 2000)
CppScriptMgr:WaitMilSec(2000)

local effectObj4 = CppScriptMgr:AddEffect("Christmas_light1",102,231);
CppScriptMgr:WaitMilSec(1000)
CppScriptMgr:ClearEffect(effectObj1);

local effectObj5 = CppScriptMgr:AddEffect("Christmas_light2",117,229);
CppScriptMgr:WaitMilSec(1000)
CppScriptMgr:ClearEffect(effectObj2);


-- effectObj3:SetZoomPercent(0.9,0.9,0.9)
-- CppScriptMgr:WaitMilSec(50);
-- effectObj3:SetZoomPercent(0.8,0.8,0.8)
-- CppScriptMgr:WaitMilSec(50);
-- effectObj3:SetZoomPercent(0.7,0.7,0.7)
-- CppScriptMgr:WaitMilSec(50);
-- effectObj3:SetZoomPercent(0.6,0.6,0.6)
-- CppScriptMgr:WaitMilSec(50);
-- effectObj3:SetZoomPercent(0.5,0.5,0.5)
-- CppScriptMgr:WaitMilSec(50);
-- effectObj3:SetZoomPercent(0.4,0.4,0.4)
-- CppScriptMgr:WaitMilSec(50);
-- effectObj3:SetZoomPercent(0.3,0.3,0.3)
-- CppScriptMgr:WaitMilSec(50);
-- effectObj3:SetZoomPercent(0.2,0.2,0.2)
-- CppScriptMgr:WaitMilSec(50);
-- CppScriptMgr:ClearEffect(effectObj3);

CppScriptMgr:NpcCallOut("No! The Star Souls are falling, and the Magpie Bridge has disappeared!\n\n\n\n                                     Press ESC to skip the story.", 3000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc26069", 150, 430, "Cowherd", 250, 655);
-- NiuLang:Say("不好！星魂全部坠落了，鹊桥也消失了！", 2000)


CppScriptMgr:WaitMilSec(3000)



